Bug 118876 - iiimf doesn't work well when selinux is in enforcing mode
Summary: iiimf doesn't work well when selinux is in enforcing mode
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-22 06:58 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 01:26:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-03-22 06:58:18 UTC
Description of problem:
I observed a serious problem with running htt with selinux in
enforcing mode: when toggling into iiimf mode applications
both gtk2 and XIM apps would lock up.  Restarting htt unlocked
them temporarily but new apps would lock up again.

Steps to Reproduce:
1. Do default cjk install of rawhide.
2. Start gnome session.
3. Start gnome-terminal.
4. Press Ctrl-Space.
  
Actual results:
gnome-terminal locks up.

Expected results:
To be in IIIMF mode as usual.

Additional info:
When running selinux=0 or better enforcing=0 problem
doesn't seem to occur.

Comment 1 Yu Shao 2004-03-24 22:44:40 UTC
rawhide-20040323 seems fine.

Comment 2 Jens Petersen 2004-03-25 05:21:06 UTC
In enforcing mode, I only get httx: ie no IIIMF in the
gtk2 IM menu.

Comment 3 Yu Shao 2004-03-25 21:12:27 UTC
Probably releated to #118650, -30 is the latest build.

Comment 4 Leon Ho 2004-04-07 01:26:16 UTC
Thanks Shao, it runs well with latest im-sdk.

Comment 5 Leon Ho 2004-04-07 01:28:09 UTC
Bug 120117 will enhance/solve the experience with external connections
for htt


Note You need to log in before you can comment on or make changes to this bug.